<?php
/**
 * Yii 2 Hangman
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2021 Oligalma
 * @license GPL License
 */

use yii\helpers\Html;

$this->registerCss('
    .center
    {
        text-align:center;
    }
    
    #hangman-div
    {
        padding:10px;
        text-align:center;  
        background: linear-gradient(270deg, aqua, orange);
        background-size: 200% 100%;
        animation: animatedBackground 6s ease infinite;
    }
     
    #logo
    {
        max-width:100%;
        vertical-align:middle;
    }
    
    #levels-div
    {
        text-align:left;
        max-width:400px;
        margin:0 auto;
    }
    
    #submit-button
    {
        width:200px;
        height:50px;
        font-weight:bold;
        margin:20px 0px;
    }
  
    label
    {
        color:black;
    }
    
    @keyframes animatedBackground
    {
        0%{background-position:0% 50%}
        50%{background-position:100% 50%}
        100%{background-position:0% 50%}
    }
    
    #credits
    {
      font-family:verdana;
      font-size:14px;
    }
    
    #credits a
    {
      text-decoration:underline;
      color:purple;
    }
');
?>
<div id="hangman-div">
<?php echo Html::beginForm(); ?>
   <?= Html::img(Yii::$app->controller->module->assetsUrl[1] . '/images/logo.png', array('id' => 'logo')) ?>
    <i id="credits">by <?= Html::a('Oligalma', 'http://oligalma.com', array('target' => '_blank')) ?></i>
    <div class="center">
        <div id="levels-div">
        <?= Html::radioList('level',0, $levels) ?>
        </div>
        <div>
            <?= Html::submitButton('Play!!!', array('id' => 'submit-button')) ?>
        </div>
    </div>
<?php echo Html::endForm(); ?>
</div>
